Skip to main content
POST
Create Sales Channels Scx Signups

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Body

application/json

Request model for CreateScxSignUp command endpoint. Route parameters bind from the route, query parameters from the query string, everything else from the body.

companyId
string<uuid>
required

ID of the company the newly connected seller will be created under once the sign-up completes.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

channel
string
required

SCX channel identifier (e.g. AMAZON_DE).

Response

A new sign-up was created for the given channel.

Creates an onboarding sign-up for a new SCX seller on the given channel. Returns a sign-up id that must be passed to FinalizeScxSignUp once the seller has completed onboarding. - Response

signUpId
string
required

Server-generated id of the sign-up. Pass this to FinalizeScxSignUp to complete it.

signUpUrl
string
required

Onboarding URL the user shall open to complete the sign-up.

expiresAt
string<date-time>
required

Point in time after which the sign-up and its SignUpUrl are no longer valid.